Bug Hunting Session
Bug 119034 - ADDRESS function >> R1C1 style is used instead of A1 style, if "A1" argument is floating-point number with zero integer
Summary: ADDRESS function >> R1C1 style is used instead of A1 style, if "A1" argument ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.2.0 target:6.1.1
Keywords:
Depends on:
Blocks: Calc-Function
  Show dependency treegraph
 
Reported: 2018-08-01 11:14 UTC by Andrey
Modified: 2018-08-30 16:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document (8.46 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-08-02 09:59 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey 2018-08-01 11:14:55 UTC
Description:
According to specification:
A1 (optional) - if set to 0, the R1C1 notation is used. If this parameter is absent or set to another value than 0, the A1 notation is used.

Steps to Reproduce:
1. Run LibreOffice calc
2. Enter following formulas to any cell:
=ADDRESS(1, 1, 1, 0.5)
=ADDRESS(1, 1, 1, 0.1)
=ADDRESS(1, 1, 1, 0.99)
3. Apply and observe result

Actual Results:
R1C1 style is used (R1C1 in following example)

Expected Results:
A1 style should be used ($A$1 in following example)


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.0.6.1 (x64)
Build ID: dc68ad6c5cde3c62874b96422f2e5e8252499bad
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (en_US); Calc: CL
Comment 1 raal 2018-08-01 18:22:39 UTC
I can confirm with Version: 6.2.0.0.alpha0+
Build ID: 62955bb8145c95991f7771eb7efb0dc46f744ef5
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: x11;
Comment 3 Xisco Faulí 2018-08-02 09:59:06 UTC
Created attachment 143924 [details]
sample document
Comment 4 Xisco Faulí 2018-08-02 10:00:05 UTC
Also reproduced in

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

@Winfried, I thought you could be interested in this issue...
Comment 5 Commit Notification 2018-08-15 10:09:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0815f3460fa8a595a085d853e96ffffb8ec0471f

Resolves: tdf#119034 do not floor() for Logical A1

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2018-08-23 10:04:08 UTC
Pending review https://gerrit.libreoffice.org/59494 for 6-1
Comment 7 Commit Notification 2018-08-23 14:42:10 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88897b74118fa6d269ce325aca6a4ac3ac1ae3de&h=libreoffice-6-1

Resolves: tdf#119034 do not floor() for Logical A1

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-08-23 19:33:08 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f9a946c52cd95b0cbf63385a795d7e66f174071

add test for bug tdf#119034

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.